Bug 144616 - FILEOPEN PPTX Interactions placed on shapes are not imported
Summary: FILEOPEN PPTX Interactions placed on shapes are not imported
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Tibor Nagy (NISZ)
URL:
Whiteboard: target:7.3.0
Keywords: filter:pptx
Depends on:
Blocks: PPTX-Hyperlink
  Show dependency treegraph
 
Reported: 2021-09-20 07:21 UTC by NISZ LibreOffice Team
Modified: 2021-10-05 11:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from PowerPoint with internal hyperlinks on shapes (43.35 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2021-09-20 07:21 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in PowerPoint and Impress (130.70 KB, image/png)
2021-09-20 07:21 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-09-20 07:21:03 UTC
Created attachment 175130 [details]
Example file from PowerPoint with internal hyperlinks on shapes

This is a followup to bug 141704
When a PPTX slideshow contains internal hyperlinks placed on shapes used in interactions pointing to the first/last and previous/next etc slides, these are not imported by Impress.

Steps to reproduce:
    1. Open attached file.
    2. Start the slideshow and try clicking on the image on each slides

Actual results:
Hyperlinks were not imported so nothing happens.
These should be editable in the right click menu – Interactions dialog, which also indicates there is nothing associated to the shapes.


Expected results:
Clicking the shape on the first slide should take to the last slide.
Clicking the shape on the second slide should take to the next slide.
Clicking the shape on the third slide should take to the previous slide.
Clicking the shape on the fourth slide should take to the second slide.
Clicking the shape on the fifth slide should take to the first slide.
Clicking the shape on the sixth slide should end the slideshow.
Clicking the shape on the seventh slide should take to the last viewed slide.

LibreOffice details:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 770dcb1f717d576facf31efed14bee403e1a7155
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2021-09-20 07:21:40 UTC
Created attachment 175131 [details]
Screenshot of the original document side by side in PowerPoint and Impress
Comment 2 Commit Notification 2021-10-01 15:30:07 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/83d92437e05a9ec872d9303953fa408dd4dcbcde

tdf#144616 PPTX import: fix hyperlinks on shapes

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 NISZ LibreOffice Team 2021-10-05 11:49:07 UTC
Verified in:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: c2de581d1943df2d84f2b71817b6a8bee41f0217
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL